﻿namespace TestProject
{
    /// <summary>
    /// 고객
    /// </summary>
    public class Customer
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region ID - ID

        /// <summary>
        /// ID
        /// </summary>
        public int ID { get; set; }

        #endregion
        #region 성명 - Name

        /// <summary>
        /// 성명
        /// </summary>
        public string Name { get; set; }

        #endregion
        #region 정보 - Information

        /// <summary>
        /// 정보
        /// </summary>
        public string Information { get; set; }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - Customer()

        /// <summary>
        /// 생성자
        /// </summary>
        public Customer()
        {
            ID          = 0;
            Name        = string.Empty;
            Information = string.Empty;
        }

        #endregion
        #region 생성자 - Customer(id, name, information)

        /// <summary>
        /// 생성자
        /// </summary>
        /// <param name="id">ID</param>
        /// <param name="name">성명</param>
        /// <param name="information">정보</param>
        public Customer(int id, string name, string information)
        {
            ID          = id;
            Name        = name;
            Information = information;
        }

        #endregion
    }
}